import { Global, Module } from '@nestjs/common';
import { configProviders } from './config.providers';
import { ConfigurationService } from './config.service';

@Global()
@Module({
  providers: [...configProviders, ConfigurationService],
  exports: [ConfigurationService],
})
export class ConfigurationModule {}
