import { Module } from '@nestjs/common';
import { ConfigurationModule } from '../config/config.module';
import { jwtProviders } from './jwt.providers';
import { JWTService } from './jwt.service';

@Module({
  imports: [ConfigurationModule],
  providers: [...jwtProviders, JWTService],
  exports: [JWTService],
})
export class JWTModule {}
