import { Provider } from '@nestjs/common';
import { DataSource } from 'typeorm';
import { OAuth2Token } from './oauth2-token.entity';

export const tokenProviders: Provider<any>[] = [
  {
    provide: 'TOKEN_REPOSITORY',
    useFactory: (dataSource: DataSource) =>
      dataSource.getRepository(OAuth2Token),
    inject: ['DATA_SOURCE'],
  },
];
