import { Module } from '@nestjs/common';
import { DatabaseModule } from '../database/database.module';
import { privilegeProviders } from './privilege.providers';
import { PrivilegeService } from './privilege.service';

@Module({
  imports: [DatabaseModule],
  providers: [...privilegeProviders, PrivilegeService],
  exports: [PrivilegeService],
})
export class PrivilegeModule {}
