import { Module } from '@nestjs/common';
import { DatabaseModule } from '../database/database.module';
import { uploadProviders } from './upload.providers';
import { UploadService } from './upload.service';

@Module({
  imports: [DatabaseModule],
  providers: [...uploadProviders, UploadService],
  exports: [UploadService],
})
export class UploadModule {}
