import { Provider } from '@nestjs/common';
import { DataSource } from 'typeorm';
import { Upload } from './upload.entity';

export const uploadProviders: Provider<any>[] = [
  {
    provide: 'UPLOAD_REPOSITORY',
    useFactory: (dataSource: DataSource) => dataSource.getRepository(Upload),
    inject: ['DATA_SOURCE'],
  },
];
