import { Module } from '@nestjs/common';
import { ConfigurationModule } from 'src/modules/config/config.module';
import { databaseProviders } from './database.providers';

@Module({
  imports: [ConfigurationModule],
  providers: [...databaseProviders],
  exports: [...databaseProviders],
})
export class DatabaseModule {}
