import { Module } from '@nestjs/common';
import { UtilityModule } from 'src/modules/utility/utility.module';
import { DatabaseModule } from '../database/database.module';
import { documentProviders } from './document.providers';
import { DocumentService } from './document.service';

@Module({
  imports: [DatabaseModule, UtilityModule],
  providers: [...documentProviders, DocumentService],
  exports: [DocumentService],
})
export class DocumentModule {}
