import { Module } from '@nestjs/common';
import { DatabaseModule } from '../database/database.module';
import { tokenProviders } from './oauth2-token.providers';
import { OAuth2TokenService } from './oauth2-token.service';

@Module({
  imports: [DatabaseModule],
  providers: [...tokenProviders, OAuth2TokenService],
  exports: [OAuth2TokenService],
})
export class OAuth2TokenModule {}
