import { Provider } from '@nestjs/common';
import { DataSource } from 'typeorm';
import { Privilege } from './privilege.entity';

export const privilegeProviders: Provider<any>[] = [
  {
    provide: 'PRIVILEGE_REPOSITORY',
    useFactory: (dataSource: DataSource) => dataSource.getRepository(Privilege),
    inject: ['DATA_SOURCE'],
  },
];
