import { Provider } from '@nestjs/common';
import { DataSource } from 'typeorm';
import { UserToken } from './user-token.entity';

export const userTokenProviders: Provider<any>[] = [
  {
    provide: 'USER_TOKEN_REPOSITORY',
    useFactory: (dataSource: DataSource) => dataSource.getRepository(UserToken),
    inject: ['DATA_SOURCE'],
  },
];
