import { EmailTemplate } from 'src/modules/objects/email/email.template';

export const RegistrationEmail = (
  username: string,
  url: string,
): EmailTemplate => ({
  text: `
Icy Network

Welcome to Icy Network, ${username}!

In order to proceed with logging in, please click on the following link to activate your account.

Activate your account: ${url}
  `,
  html: /* html */ `
<h1>Icy Network</h1>

<p><strong>Welcome to Icy Network, ${username}!</strong></p>

<p>In order to proceed with logging in, please click on the following link to activate your account.</p>

<p>Activate your account: <a href="${url}" target="_blank">${url}</a></p>
  `,
});
